﻿/*

GetGPSCoords.sqf  © Pumpkin of M.O.S

 Paramètres :
 ------------
 
 1. Accés dans le script  :
 	_func_coords = compile preprocessFile "GetGPSCoords.sqf";
 	
 2. Résultats :
 	_retourcoords = [délai_de_clareté, délai_de_brouillage (, heure_de_visibilité_déterminée)] execVM "Satellite.sqf"

 ® variables "_func_coords" et "_retourcoords" arbitraires
 ® cadran 000000 en 0,5200 pour Utes
 ® cadran 000000 en 0,15260 pour Chernarus
 
*/

_xmap = _this select 0;
_ymap = _this select 1;

_gpsX = floor (_xmap / 100);
_compX = "";
if (_gpsX < 100) then {_compX = "0" };
if (_gpsX < 10) then {_compX = "00" };

_wd = worldName;
_zeroY = 15260; // Chernarus
if (_wd == "Utes") then {_zeroY = 5020};

_gpsY = floor ((_zeroY - _ymap + 100) / 100);
_compY = "";
if (_gpsY < 100) then {_compY = "0" };
if (_gpsY < 10) then {_compY = "00" };

_gpscoords = format["%1%2%3%4",_compX,_gpsX,_compY,_gpsY];

_gpscoords;
